.\"	$NetBSD: boot.8,v 1.3 2004/04/03 03:22:30 uwe Exp $
.Dd May 5, 2003
.Dt BOOT 8 hpcmips
.Os
.Sh NAME
.Nm boot
.Nd system bootstrapping procedures
.Sh DESCRIPTION
.\"
.Ss Power fail and crash recovery
.\"
Unfortunately, on most machines, the system can't reboot itself
at power-up or after crashes.
You might have to restart the system manually.
Once the system starts, an automatic consistency check of the file systems
will be performed,
and unless this fails, the system will resume multi-user operations.
.\"
.Ss Cold starts
.\"
Typical MIPS based Windows CE Handheld machines
attempt to boot Windows CE operating system in its own boot ROM.
You can't boot the
.Nx
directly skipping Windows CE.
The
.Nx
bootloaders are provided as application programs on Windows CE instead.
You can choose
.Xr pbsdboot 8
or
.Xr hpcboot 8 .
Though the bootloaders are application programs,
they blow away the entire Windows CE OS and its settings
when the kernel boots successfully.
.\"
.Ss Normal Operation
.\"
Once running, a familiar window will appear.
You can choose the machine type, kernel file location and kernel boot
options with a GUI and push the button named
.Dq Li [boot]
to boot
.Nx .
.\"
.Ss Automatic mode
.\"
The bootloaders have an
.Dq Li auto boot
option.
If you enable this option, the specified kernel will be loaded
automatically after a countdown.
.\"
.Sh FILES
.\"
.Bl -tag -width pbsdboot1.exe -compact
.It Pa /netbsd
system kernel
.It Pa /netbsd.gz
gzip-compressed kernel
.It Pa pbsdboot1.exe
bootloader executable file for Windows CE version 1.01
.It Pa pbsdboot.exe
bootloader executable file for Windows CE
.It Pa hpcboot.exe
new bootloader executable file for Windows CE
.El
.\"
.Sh SEE ALSO
.\"
.Xr kloader 4 ,
.Xr hpcboot 8 ,
.Xr pbsdboot 8
.\"
.Sh BUGS
.\"
There is no general way to launch a bootloader automatically
while a few Windows CE machine provide an
.Dq auto run
mechanism.
